Bug 1077780 - [abrt] libreoffice-core: writerfilter::dmapper::lcl_MoveBorderPropertiesToFrame(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: writerfilter::dmapper::lcl_MoveBorderPropertiesToFra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:772da160da11c2a5dcf2bc33da6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 14:51 UTC by E.N.
Modified: 2014-03-30 06:16 UTC (History)
8 users (show)

Fixed In Version: libreoffice-4.2.2.1-8.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-27 14:41:54 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (30.29 KB, text/plain)
2014-03-18 14:51 UTC, E.N.
no flags Details
File: var_log_messages (374 bytes, text/plain)
2014-03-18 14:51 UTC, E.N.
no flags Details
Sample of a crashing document (277.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-19 11:55 UTC, E.N.
no flags Details

Description E.N. 2014-03-18 14:51:34 UTC
Description of problem:
- Trying to open a Microsoft Office 2010 Word file using LibreOffice Writer (v-4.2.2.1).
- The MS Office file is in the revision mode (it tracks changes, comments, etc.).
- LibreOffice Writer failed to open the file and closed itself, while it's able to open an equivalent file but the revision mode off.

Version-Release number of selected component:
libreoffice-core-4.2.2.1-6.fc20

Additional info:
reporter:       libreport-2.2.0
crash_function: writerfilter::dmapper::lcl_MoveBorderPropertiesToFrame
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp

Comment 1 E.N. 2014-03-18 14:51:43 UTC
Created attachment 875964 [details]
File: core_backtrace

Comment 2 E.N. 2014-03-18 14:51:48 UTC
Created attachment 875965 [details]
File: var_log_messages

Comment 3 Caolan McNamara 2014-03-19 10:52:36 UTC
Can you attach the document that crashes ?

Comment 4 E.N. 2014-03-19 11:55:01 UTC
Created attachment 876327 [details]
Sample of a crashing document

Yesterday I updated LibreOffice up to version 4.2.2.1 but it still crashes when trying to open the document.

Important note : even without the "review mode" off, LO crashes to that *specific* document, while it's able to open other docs in "review mode".

Comment 5 E.N. 2014-03-19 11:57:55 UTC
Erratum : LO update nĀ° is 4.2.2.1-7

Comment 6 Fedora Update System 2014-03-26 09:20:38 UTC
libreoffice-4.2.2.1-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-8.fc20

Comment 7 Fedora Update System 2014-03-27 04:48:55 UTC
Package libreoffice-4.2.2.1-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4399/libreoffice-4.2.2.1-8.fc20
then log in and leave karma (feedback).

Comment 8 E.N. 2014-03-27 14:41:54 UTC
(In reply to Fedora Update System from comment #7)
> Package libreoffice-4.2.2.1-8.fc20:
> * should fix your issue,
> * was pushed to the Fedora 20 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-8.fc20'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2014-4399/libreoffice-4.2.2.1-
> 8.fc20
> then log in and leave karma (feedback).


I've just installed libreoffice-4.2.2.1-8.fc20 and the bug is indeed fixed with that package. It's great how this went so quick, thanks for your time & availability !

P.S. I'm trying to close this bug report (Status : CLOSED-NEXTRELEASE), but I have no idea this is the right way to achieve it. Sorry for my *noobness*

Comment 9 Fedora Update System 2014-03-30 06:16:15 UTC
libreoffice-4.2.2.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.